MCONNECT(8)

NAME
mconnect - connect to SMTP mail server socket

SYNOPSIS
/usr/sbin/mconnect [ -p port ] [ -r ] [ hostname ]

DESCRIPTION
mconnect opens a connection to the mail server on a given host, so that it can be tested independently of all other mail software. If no host is given, the connection is made to the local host. Servers expect to speak the Simple Mail Transfer Protocol (SMTP) on this connection. Exit by typing the quit command. Typing EOF will send an end of file to the server. An interrupt closes the connection immediately and exits.

OPTIONS

-p port
    Specify the port number instead of the default SMTP port (number 25) as the next argument.

-r  ``Raw'' mode: disable the default line buffering and input handling. This gives you a similar effect as telnet to port number 25, not very useful.

FILES
/usr/lib/sendmail.hf
    help file for SMTP commands

SEE ALSO
sendmail(8)

Postel, Jonathan B Simple Mail Transfer Protocol, RFC821 August 1982, SRI Network Information Center